exclude: "venv-update"
repos:
  - repo: https://github.com/ambv/black
    rev: 22.12.0
    hooks:
      - id: black
        language_version: python3.9.6
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: trailing-whitespace
        exclude: \.(css|ts|tsx|bck|csv)$
      - id: check-merge-conflict
      - id: check-json
      - id: debug-statements
      - id: check-added-large-files
        args: [--maxkb=500]
      - id: requirements-txt-fixer
        files: requirements.txt
  - repo: https://github.com/rtts/djhtml
    rev: "v1.5.2"
    hooks:
      - id: djhtml
  - repo: https://github.com/pycqa/flake8
    rev: 3.9.2
    hooks:
      - id: flake8
        args: ['--ignore=E501,W503,E203 --per-file-ignores="src/scripts/debug_code.py:F401,F841 src/scripts/pankaj_data_conversion.py:F401,F841"']
